summaryrefslogtreecommitdiffstats
path: root/ci/dev_dep_check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/dev_dep_check.sh')
-rwxr-xr-xci/dev_dep_check.sh28
1 files changed, 3 insertions, 25 deletions
diff --git a/ci/dev_dep_check.sh b/ci/dev_dep_check.sh
index 2a6266c..6d0aa11 100755
--- a/ci/dev_dep_check.sh
+++ b/ci/dev_dep_check.sh
@@ -53,29 +53,7 @@ easy_install-3.4 jinja2
easy_install-3.4 tox
# Required packages to redirect stdin with virt-customize
-virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
-virt_pkgs=(
-'libguestfs-1.32.7-3.el7.x86_64.rpm'
-'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
-'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
-'supermin-5.1.16-4.el7.x86_64.rpm'
-'supermin5-5.1.16-4.el7.x86_64.rpm'
-'supermin-helper-5.1.16-4.el7.x86_64.rpm'
-'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
-'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
-)
-dir=/tmp/packages.$RANDOM
-mkdir -p $dir
-pushd $dir
-all_packages=""
-for pkg in ${virt_pkgs[@]}; do
- if ! wget $virt_uri_base/$pkg; then
- echo "ERROR: Failed to download $pkg"
- fi
- all_packages="$all_packages $pkg"
-done
-if [[ $all_packages != "" ]];then
- yum install -y $all_packages
+if ! sudo yum -y install libguestfs libguestfs-tools libguestfs-tools-c supermin supermin5 supermin-helper perl-Sys-Guestfs python-libguestfs; then
+ echo "Failed to install supermin/libguestfs packages..."
+ exit 1
fi
-rm -rf $dir
-popd